List chat conversations for a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history \
--header 'Authorization: Bearer <token>'{
"conversations": [
{
"cluster_id": "<string>",
"context_summary": {},
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>",
"actionResult": {},
"complete": {},
"context": {},
"hidden": true,
"id": "<string>",
"parts": [
{}
],
"pendingActions": [
{}
],
"pendingQuestion": {},
"plan": {},
"redactions": {},
"structuredBlocks": [
{}
],
"timestamp": "2023-11-07T05:31:56Z",
"toolsUsed": [
{
"id": "<string>",
"status": "<string>",
"toolName": "<string>",
"category": "<string>",
"durationMs": 123,
"error": "<string>",
"parametersPreview": {},
"resultCount": 123,
"resultPreview": "<unknown>"
}
],
"triage": {},
"verificationMismatch": {}
}
],
"organisation_id": "<string>",
"question_type": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"cluster_name": "<string>",
"message_count": 123
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Chat
List chat conversations for a cluster
GET
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
kubernetes
/
chat
/
history
List chat conversations for a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat/history \
--header 'Authorization: Bearer <token>'{
"conversations": [
{
"cluster_id": "<string>",
"context_summary": {},
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>",
"actionResult": {},
"complete": {},
"context": {},
"hidden": true,
"id": "<string>",
"parts": [
{}
],
"pendingActions": [
{}
],
"pendingQuestion": {},
"plan": {},
"redactions": {},
"structuredBlocks": [
{}
],
"timestamp": "2023-11-07T05:31:56Z",
"toolsUsed": [
{
"id": "<string>",
"status": "<string>",
"toolName": "<string>",
"category": "<string>",
"durationMs": 123,
"error": "<string>",
"parametersPreview": {},
"resultCount": 123,
"resultPreview": "<unknown>"
}
],
"triage": {},
"verificationMismatch": {}
}
],
"organisation_id": "<string>",
"question_type": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"cluster_name": "<string>",
"message_count": 123
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Show all conversations including deleted
Example:
false
Maximum number of conversations to return
Required range:
1 <= x <= 1000Example:
50
Number of conversations to skip
Required range:
x >= 0Example:
0
Return conversation metadata with empty messages and a message_count
Example:
false